eole-fichier - Tache #8273

Scénario # 16674 (Terminé (Sprint)): Mettre a niveau la configuration Samba pour Scribe et Horus 2.6

Revoir les nouvelles variables
28/05/2014 10:29 - Emmanuel GARETTE

Statut: Fermé Début:
Priorité: Normal Echéance:
Assigné a: Joél Cuissinat % réalisé:
Version cible: sprint 2017 1-3 Equipe MENSR Temps estimé:

Temps passé:

13/12/2016

100%
3.00 heures
1.00 heure

Description

Suite a la nouvelle version de samba, des options ont étés modifié (comme "lanman auth” qui pose probléme pour le proxy

authentifié) ou ajouté.
Il faudrait voir si ce paramétrage est correct.

Différence dans les options par défaut entre 2.3 et 2.4 :

client NTLMv2 auth = No

client NTLMv2 auth = Yes

Option smb.conf ajouté sur la version 2.4 a vérifier :

client use spnego principal = No
send spnego principal = No

log writeable files on exit = No
ctdb locktime warn threshold = 0
smb2 max read = 65536
smb2 max write = 65536
smb2 max trans = 65536
smb2 max credits = 8192
username map cache time = 0
allow insecure wide links = No
async smb echo handler = No
multicast dns register = Yes

winbind max clients = 200

ncalrpc dir = /var/ncalrpc

winbind max domain connections = 1
scannedonly:allow_nonscanned_files = True

idmap config * : backend = tdb
print notify backchannel = Yes
print ok = No

Demandes liées:

Lié a eole-proxy - Anomalie #8251: Proxy authentifié ne fonctionne pas correc...
Lié a Distribution EOLE - Scénario #22604: Etude Seth/Scribe - option 1 : uti...

Fermé 19/05/2014 28/05/2014
Terminé (Sprint)9/01/2017 19/01/2017

Révisions associées

Révision dbb1584b - 03/01/2017 14:03 - Joél Cuissinat

Remplacement des directives syslog dépréciées

Ref: #8273 @1h
Historique

#1 - 30/06/2016 17:36 - Joél Cuissinat
- Temps estimé mis a 3.00 h

- Tache parente mis a #16674

- Distribution EOLE 2.4 supprimé

#2 - 28/11/2016 14:13 - Joél Cuissinat

- Restant a faire (heures) mis a 3.0
#3 - 13/12/2016 09:48 - Scrum Master
- Statut changé de Nouveau a En cours

- Début mis a 13/12/2016

#4 - 13/12/2016 09:48 - Scrum Master
- Assigné a mis a Klaas TUJEBBES

#5 - 13/12/2016 11:45 - Klaas TJEBBES

lanman auth = yes

Sans cette option I'authentification NTLM fonctionne correctement avec Amon 2.6 et Scribe 2.6.

#6 - 13/12/2016 12:00 - Klaas TUEBBES

enable privileges = No

On doit laisser cette option car sans elle, ESU ne se lance pas. #14453

#7 - 13/12/2016 12:08 - Klaas TUEBBES

On peut remplacer :

syslog only = yes
syslog = 0

par :

logging = syslog@O
https://dev-eole.ac-dijon.fr/issues/14453

#8 - 13/12/2016 17:40 - Gilles Grandgérard
1°) ntimv2 & spnego
client NTLMv2 auth = Yes

client use spnego principal = No
send spnego principal = No

The impact of 'client ntimv2 auth = yes' is that by default we will not use NTLM authentication as a client ! (samba >= 3.6 )

Default >3.6.0: client NTLMv2 auth = Yes > inutile
Default >3.6.0: client use spnego principal = no > inutile
Default >3.6.0: send spnego principal = no > inutile (removed)

2°) log writeable

log writeable files on exit = No

Default >3.6.0: log writeable files on exit = No > inutile

3°) CTDB1048576

ctdb locktime warn threshold = 0

On n'utilise pas le cluster !
Defautl >3.6.0: ctdb locktime warn threshold = 0 ==> inutile

4°) limitation taille paquet smb2
smb2 max read = 65536
smb2 max write = 65536

smb2 max trans = 65536
smb2 max credits = 8192

ces valeurs sont pour NTLM v1 !

Default >3.6.0: smb2 max credits = 128
Default >3.6.0: smb2 max read = 8388608
Default >3.6.0: smb2 max trans = 8388608
Default >3.6.0: smb2 max write = 8388608
laisser les valeurs par défaut

5°)

username map cache time = 0

Default >3.6.0: username map cache time = 0 ==> inutile
6°) Wide Links

allow insecure wide links = No

Normalement, a utiliser avec "wide links = Yes" (ce qui n'est pas le cas)
"Setting allow insecure wide links to true disables the link between these two parameters, removing this protection and allowing a site to configure the

server to follow symlinks (by setting wide links to "true") even when unix extensions is turned on."
N'est pas ce que I'on fait avec les liens 'groupes, ....
Default >3: allow insecure wide links = no > a voir

7°)

async smb echo handler = No

This parameter specifies whether Samba should fork the async smb echo handler. It can be beneficial if your file system can block syscalls for a very
long time. In some circumstances, it prolongs the timeout that Windows uses to determine whether a connection is dead.

Default >3.6: async smb echo handler = no > inutile
8°) Multicast DNS

multicast dns register = Yes

Default >3.6: multicast dns register = yes ==> inutile

9°) winbind
winbind max clients = 200
winbind max domain connections = 1

This parameter specifies the maximum number of clients the winbindd(8) daemon can connect with.

Default >3.6: winbind max clients = 200
Default >3.6.0: winbind max domain connections =1 ==> inutile, mais a voir "winbind max domain connections = 10"

10°)

ncalrpc dir = /var/ncalrpc

11°)

scannedonly:allow_nonscanned_files = True
12°) [dmap

idmap config * : backend = tdb

ok a garder
13°) print

print notify backchannel = Yes
print ok = No
#9 - 13/12/2016 17:48 - Gilles Grandgérard

Pour rappel :

Parameter Name Description Default

aio max threads New 100
ldap page size Changed default 1000

server multi channel support New No
interfaces Extended syntax

https://www.samba.org/samba/history/samba-4.3.0.html

Parameter Name Description Default

logging New (empty)

msdfs shuffle referrals New no

smbd profiling level New off

spotlight New no

tls priority New NORMAL:-VERS-SSL3.0
use ntdb Removed

change notify Changed to [global]

kernel change notify Changed to [globall]

client max protocol Changed default SMB3_11
server max protocol Changed default SMB3_11

Parameter Name Description Default

allow nt4 crypto New no
neutralize nt4 emulation New no
reject md5 client New no
reject md5 servers New no
require strong key New yes
smb2 max read Changed default 8388608
smb2 max write Changed default 8388608
smb2 max trans Changed default 8388608
winbind expand groups Changed default 0

Parameter Name Description Default
acl allow execute always New False
password level Removed

set directory Removed

use ntdb New No

https://www.samba.org/samba/history/samba-4.0.0.html

Parameter Name Description
https://www.samba.org/samba/history/samba-4.4.0.html
https://www.samba.org/samba/history/samba-4.3.0.html
https://www.samba.org/samba/history/samba-4.2.0.html
https://www.samba.org/samba/history/samba-4.1.0.html
https://www.samba.org/samba/history/samba-4.0.0.html

acl compatibility

allow dns updates
announce as

announce version

cldap port

client max protocol
client min protocol
client signing

dcerpc endpoint servers
dgram port

directory security mask
display charset

dns forwarder

dns update command
force security mode
force directory security
homedir map

kernel oplocks

kernel share modes
kpasswd port

krb5 port

nbt client socket addres
nbt port

nsupdate command

ntp signd socket directo
ntvfs handler

paranoid server security
pid directory

printer admin

rndc command

rpc big endian

samba kcc command
security mask

send spnego principal
server max protocol
server min protocol
server role

server services

server signing

share backend

share modes

smb2 max read

smb2 max write

smb2 max trans

socket address

Removed
New
Removed
Removed
New
New
New
Changed default
New
New
Removed
Removed
New
New
Removed
mode Removed
Changed default
Changed default
New
New
New
s New
New
New
ry New
New
Removed
New
Removed
New
New
New
Removed
Removed
New
New
New
New
Changed default
New
Removed
Changed default
Changed default
Changed default
Removed

spn update command New
time offset Removed
tls cafile New

tls certfile New

tls crlfile New

tls dh params file New
tls enabled New

tls keyfile New
unicode New

web port New

winbindd privileged socket directory New
winbind sealed pipes New
winbindd socket directory New
#10 - 03/01/2017 10:43 - Joél Cuissinat
- Assigné a changé de Klaas TJEBBES a Joél Cuissinat
- % réalisé changé de 0 a 30

- Restant a faire (heures) changé de 3.0 a 1.5

#11 - 03/01/2017 10:45 - Joél Cuissinat

Klaas a écrit :
Concrétement, concernant la réduction de smb.conf de Scribe/Horus, on peut remplacer :
syslog only = yes
> syslog = 0

par :

logging = syslog@O

C'est tout ce que j'ai trouvé, le reste on en a besoin.

#12 - 03/01/2017 11:30 - Joél Cuissinat

- Sujet changé de Revoir les nouvelles variables 2.4 a Revoir les nouvelles variables

#13 - 03/01/2017 14:52 - Joél Cuissinat
- Statut changé de En cours a Résolu
- % réalisé changé de 30 a 100

- Restant a faire (heures) changé de 1.5a 0.5

#14 - 03/01/2017 15:18 - Joél Cuissinat

=> eole-fichier 2.6.1-3

#15 - 10/01/2017 15:07 - Laurent Flori
- Statut changé de Résolu a Fermé

- Restant a faire (heures) changé de 0.5 a 0.0

#16 - 05/01/2018 09:55 - Joél Cuissinat
- Lié & Scénario #22604: Etude Seth/Scribe - option 1 : utilisation d'Eole-AD ajouté
